This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 249106 - Search returns bogus results containting msggrep warnings
Summary: Search returns bogus results containting msggrep warnings
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Localization
Classification: Fedora
Component: Website (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Dimitris Glezos
QA Contact: Diego Búrigo Zacarão
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-20 21:57 UTC by Dimitris Glezos
Modified: 2008-01-28 09:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 09:46:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 456438 None None None Never

Description Dimitris Glezos 2007-07-20 21:57:09 UTC
## Description of problem:

Searching for almost anything returns results that shouldn't be returned. Eg:

http://translate.fedoraproject.org/search/?s=test&language=POT&msgid=True&msgstr=True&ignore-case=true&highlight=true

msggrep: warning: Locale charset "ANSI_X3.4-1968" is different from
                  input file charset "UTF-8".
                  Output of 'msggrep' might be incorrect.
                  Possible workarounds are:
                  - Set LC_ALL to a locale with encoding UTF-8.
                  - Convert the translation catalog to ASCII using 'msgconv',
                    then apply 'msggrep',
                    then convert back to UTF-8 using 'msgconv'.

Comment 1 Dimitris Glezos 2008-01-28 09:46:45 UTC
This feature was removed from our website, so this bug is kind of obsolete.

It's long until upstream accept the search function, and, besides, we ought to
do write it anyway from scratch with a more efficient way of doing search,
caching, etc.


Note You need to log in before you can comment on or make changes to this bug.